Subject: Re: [PATCH] be paranoid about closed stdin/stdout/stderr

From: Paolo Bonzini <[email-masked]>
Date: Wed, 27 Aug 2008 14:36:13 +0200

>> But it's harmless to have both.
> 
> Considering the fact that daemon authors might not get pointed at their
> mistakes as soon as possible, it is harmful to try and hide those facts.

Agree.  OTOH what about opening fd's 0/1/2 to /dev/null only in
git-shell.c, now that it's not a builtin anymore?

Maybe it does not fix Karl's use case, but it seems sensible to me.

Paolo